## ngs-sdk 2.10.2

=== ngs-python/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

# default response to "make"
default: std

std: subtargs

# the sub-targets
SUBTARGS =  \
	dummy

# standard rules and phony targets
include $(CURDIR)/Makefile.rules

# rules for making python code
install: Makefile.config
	@ $(MAKE) -s --no-print-directory -f Makefile.python install

dummy:
	@ echo "make complete for python"

dummy_cln dummy_inst:
	@ true

=== ngs-java/examples/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================


default: std

#DEBUGGING = -d

TARGETS =             \
	NGS-JavaTest.jar

std: $(TARGETS)

clean:
	rm -f $(TARGETS) examples/*.class

.PHONY: default std $(TARGETS)

NGS_EXAMPLES = \
	AlignSliceTest \
	AlignTest \
	DumpReferenceFASTA \
	FragTest \
	PileupTest \
	ReadGroupTest \
	RefTest \

NGS_EXAMPLES_PATH = \
	$(addprefix examples/,$(addsuffix .java,$(NGS_EXAMPLES)))

NGS_CLASS_PATH = ..

NGS-JavaTest.jar: $(NGS_EXAMPLES_PATH)
	javac $(DEBUGGING) $^ -d .
	( jar cf $@ `find examples -name "*.class"`; chmod -x,o-w $@ ) || ( rm -f $@ && false )

# ===========================================================================
#
# example runs

JAVAFLAGS = -classpath $(CLASSPATH):$(NGS_CLASS_PATH):.

# Expect libngs-sdk.so and libncbi-vdb.so somewhere inside $LD_LIBRARY_PATH;
#   if the libraries are not found, error out.
# Comment out to rely on "smart load" instead (may download libraries from NCBI):
JAVAFLAGS += -Djava.library.path=$(LD_LIBRARY_PATH) -Dvdb.System.loadLibrary=1

# uncomment to see detailed log"
JAVAFLAGS += -Dvdb.log=FINEST

run_frag: NGS-JavaTest.jar
	java $(JAVAFLAGS) examples.FragTest ERR225922 10000 2  $(REDIRECT)

run_align: NGS-JavaTest.jar
	java $(JAVAFLAGS) examples.AlignTest ERR225922 10000 2 $(REDIRECT)

run_dump: NGS-JavaTest.jar
	java $(JAVAFLAGS) examples.DumpReferenceFASTA SRR520124 1 $(REDIRECT)

run_align_slice: NGS-JavaTest.jar
	java $(JAVAFLAGS) examples.AlignSliceTest SRR1121656 1 1 9999 $(REDIRECT)

run_pileup: NGS-JavaTest.jar
	java $(JAVAFLAGS) examples.PileupTest SRR1121656 1 9999 10003 $(REDIRECT)

run_ref: NGS-JavaTest.jar
	java $(JAVAFLAGS) examples.RefTest SRR1121656 $(REDIRECT)
    
run_read_group: NGS-JavaTest.jar
	java $(JAVAFLAGS) examples.ReadGroupTest SRR1121656 $(REDIRECT)
    
ALL_TESTS = run_frag run_align run_align_slice \
	run_pileup run_ref run_read_group run_dump

run_all: $(ALL_TESTS)

.PHONY: $(ALL_TESTS)

# ===========================================================================
#
# expected results for auto-testing
#
expected.txt update_expected: 
	rm -f expected.txt; LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) $(MAKE) run_all REDIRECT=">>expected.txt"

run_and_diff: expected.txt  
	rm -f actual.txt; LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) $(MAKE) run_all REDIRECT=">>actual.txt"
	diff expected.txt actual.txt && rm actual.txt && echo NGS Java examples work as expected

.PHONY: update_expected run_and_diff

=== ngs-python/examples/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================


default: std

std:

clean:

.PHONY: default std $(TARGETS)

PYTHON_VERS = $(shell python -V 2>&1)

# there is a separate set of sources for 2.5 and 2.6
ifeq (Python 2.6,$(shell expr "$(PYTHON_VERS)" : "\(Python 2.6\)"))
    PYTHON_VERS=26
else
    ifeq (Python 2.5,$(shell expr "$(PYTHON_VERS)" : "\(Python 2.5\)"))
        PYTHON_VERS=26
    else
        PYTHON_VERS=
    endif
endif

NGS_EXAMPLES = \
	FragTest \
	AlignTest \
	AlignSliceTest \
	PileupTest \
	RefTest \

# ===========================================================================
#
# example runs
#
# NOTE: Expect libngs-sdk.so and libncbi-vdb.so somewhere inside $LD_LIBRARY_PATH

run_frag:
	python FragTest$(PYTHON_VERS).py ERR225922 10000 2 $(REDIRECT)

run_align:
	python AlignTest$(PYTHON_VERS).py ERR225922 10000 2 $(REDIRECT)

run_align_slice:
	python AlignSliceTest$(PYTHON_VERS).py SRR1121656 1 1 9999 $(REDIRECT)

run_pileup:
	python PileupTest$(PYTHON_VERS).py SRR1121656 1 9999 10003 $(REDIRECT)

run_ref:
	python RefTest$(PYTHON_VERS).py SRR1121656 $(REDIRECT)

ALL_TESTS = run_frag run_align run_align_slice run_pileup run_ref

run_all: $(ALL_TESTS)

.PHONY: run_align run_align_slice run_frag

# ===========================================================================
#
# expected results for auto-testing
#
expected.txt update_expected:
	if [ "$(PYTHON_VERS)" = "26" ] ; then \
		echo Python 2.6 is not supported ; \
	else \
		rm -f expected.txt; LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) $(MAKE) run_all REDIRECT=">>expected.txt" ; \
	fi

run_and_diff: expected.txt
	if [ "$(PYTHON_VERS)" = "26" ] ; then \
		echo Python 2.6 is not supported ; \
	else \
		rm -f actual.txt; LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) $(MAKE) run_all REDIRECT=">>actual.txt" ; \
		diff expected.txt actual.txt && rm actual.txt && echo NGS Python examples work as expected ; \
	fi


.PHONY: update_expected run_and_diff

=== ngs-sdk/examples/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

default: std

ifeq (Darwin,$(shell uname -s))
    MFLAGS += -mmacosx-version-min=10.10
endif

CC = cc $(MFLAGS) $(CFLAGS)
CXX = c++ $(MFLAGS) $(CPPFLAGS)

# ensure definition of paths, namely
# NCBI_VDB_LIBDIR and NGS_LIBDIR
include $(CURDIR)/Makefile.config

TARGETS =               \
	AlignSliceTest      \
	AlignTest           \
	DumpReferenceFASTA  \
	FastqTableDump      \
	FragTest            \
	PileupTest          \
	RefTest             \

# This rule triggers detection of the libraries and headers
# in addition to building the examples
std: $(TARGETS)

$(TARGETS): $(NCBI_VDB_LIBDIR)/libncbi-vdb-static.a ncbi-headers $(NGS_LIBDIR)/libngs-c++.a ngs-headers

clean:
	echo $(LD_LIBRARY_PATH)
	rm -f $(TARGETS) *.o
	rm -rf *.dSYM

.PHONY: default std $(TARGETS)

# C++ applications require two NGS libraries:
#  1. ngs-c++ which contains the NGS "front-end" interfaces
#  2. an NGS "back-end" engine such as ncbi-ngs-c++
#     which in turn relies upon ncbi-vdb to access the SRA
#
TEST_LIBS =              \
	-L$(NCBI_VDB_LIBDIR) \
	-L$(NGS_LIBDIR)      \
	-lncbi-ngs-c++       \
	-lngs-c++            \
	-lngs-bam-c++        \
	-lncbi-ngs-c++       \
	-lncbi-vdb-static    \
	-lngs-adapt-c++      \
	-lpthread            \
	-ldl                 \
	-lm                  \


# AlignSliceTest
#  slice a ReadCollection and output alignments
ALIGNSLICE_TEST_SRC = \
	AlignSliceTest.cpp

AlignSliceTest: $(ALIGNSLICE_TEST_SRC)
	$(CXX) -g -o $@ $(ALIGNSLICE_TEST_SRC) $(TEST_LIBS)


# AlignTest #################
#  access alignments
ALIGN_TEST_SRC = \
	AlignTest.cpp

AlignTest: $(ALIGN_TEST_SRC)
	$(CXX) -g -o $@ $(ALIGN_TEST_SRC) $(TEST_LIBS)


# DumpReferenceFASTA
DUMP_SRC = \
	DumpReferenceFASTA.cpp
DumpReferenceFASTA: $(DUMP_SRC)
	$(CXX) -g -o $@ $(DUMP_SRC) $(TEST_LIBS)


# FastqTableDump
#  produce fastq-like table
FASTQ_TABLE_DUMP_OBJ = \
	FastqTableDump.cpp

FastqTableDump: $(FASTQ_TABLE_DUMP_OBJ)
	$(CXX) -g -o $@ $(FASTQ_TABLE_DUMP_OBJ) $(TEST_LIBS)


# FragTest
#  access read fragments
FRAG_TEST_SRC = \
	FragTest.cpp

FragTest: $(FRAG_TEST_SRC)
	$(CXX) -g -o $@ $(FRAG_TEST_SRC) $(TEST_LIBS)


# PileupTest
#  slice a ReadCollection and produce pileups
PILEUP_TEST_OBJ = \
	PileupTest.cpp

PileupTest: $(PILEUP_TEST_OBJ)
	$(CXX) -g -o $@ $(PILEUP_TEST_OBJ) $(TEST_LIBS)


# RefTest ###################
REF_TEST_SRC = \
	RefTest.cpp

RefTest: $(REF_TEST_SRC)
	$(CXX) -g -o $@ $(REF_TEST_SRC) $(TEST_LIBS)

# ===========================================================================
#
# installation
#
install: 
	@ cp *.cpp Makefile Makefile.config $(INST_TARGET)

# ===========================================================================
#
# example runs

run_frag:  FragTest
	./$^ ERR225922 10000 2 $(REDIRECT)

run_align: AlignTest
	./$^ ERR225922 10000 2 $(REDIRECT)

run_dump: DumpReferenceFASTA
	./$^ SRR520124 1 $(REDIRECT)

run_align_slice: AlignSliceTest
	./$^ SRR1121656 1 1 9999 $(REDIRECT)

run_pileup: PileupTest
	./$^ SRR1121656 1 9999 10003 $(REDIRECT)

run_ref: RefTest
	./$^ SRR1121656 $(REDIRECT)

ALL_TESTS = run_frag run_align run_align_slice run_pileup run_ref run_dump

run_all: $(ALL_TESTS)

.PHONY: $(ALL_TESTS)

# ===========================================================================
#
# expected results for auto-testing
#
expected.txt update_expected: 
	rm -f expected.txt
	export LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) ; $(MAKE) run_all REDIRECT=">>expected.txt"

run_and_diff: expected.txt
	rm -f actual.txt
	echo $(http_proxy)
	export LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) ; $(MAKE) run_all REDIRECT=">>actual.txt"
	@ diff expected.txt actual.txt && rm actual.txt && echo "NGS C++ examples work as expected"

.PHONY: update_expected run_and_diff install

=== ngs-java/gov/nih/nlm/ncbi/ngs/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================


default: std

TOP ?= $(abspath ../../../../../../..)
MODULE = ngs/ngs-java/gov/nih/nlm/ncbi/ngs

JARS = \
	ngs-ncbi.jar

ALL_TARGS = \
	$(JARS)

# default settings for java do not work here, override    
CLSPATH = $(TARGDIR)/ngs/ngs-java
JAVASOURCEPATH = $(TOP)/ngs/ngs-java
include $(TOP)/build/Makefile.env
#$(warning JMAKE_CMD=$(JMAKE_CMD))

#-------------------------------------------------------------------------------
# outer targets
#
all std: $(ALL_TARGS)

$(JARS): makejdirs
	@ $(JMAKE_CMD) $(CLSPATH)/$@

.PHONY: all std $(ALL_TARGS)

#-------------------------------------------------------------------------------
# clean
#
clean: stdjclean

.PHONY: clean

#-------------------------------------------------------------------------------
# classes for ngs-ncbi
#

LIB_SRC =                          \
	HttpException              \
	HttpManager                \
	LibManager                 \
	LibPathIterator	           \
	Logger      	           \
	Manager      	           \
	ReadCollectionItf          \
	Refcount                   \
	ReadGroupIteratorItf       \
	ReadGroupItf               \
	ReferenceIteratorItf       \
	ReferenceItf               \
	AlignmentItf               \
	AlignmentIteratorItf       \
	ReadItf                    \
	ReadIteratorItf            \
	PileupIteratorItf          \
	PileupItf                  \
	FragmentItf                \
	PileupEventIteratorItf     \
	PileupEventItf             \
	TestyTheBear               \

NGS_SRC =                      \
    NGS                        \
	$(LIB_SRC)

#VARS = -Dvdb.System.loadLibrary=1
#VARS = -Dvdb.log=FINEST
#J=/net/pan1/sra-test/local/jdk1.7.0_51/bin/
#JAVABITS=-d$(BITS)

$(SRCDIR)/NGS.java: \
	$(addprefix $(SRCDIR)/,$(addsuffix .java,$(LIB_SRC)))

NGS_CLS = \
	$(addsuffix .class,$(NGS_SRC))

$(CLSPATH)/ngs-ncbi.jar: $(NGS_CLS)
	( cd $(CLSPATH); jar -cf $@ `find ngs gov -name *.class` )

#-------------------------------------------------------------------------------
# manual integration test
#
test: $(CLSPATH)/ngs-ncbi.jar 
	cd $(CLSPATH); $(J)java $(JAVABITS) -classpath ngs-ncbi.jar $(VARS) \
		-Djava.library.path=$(LIBDIR) gov.nih.nlm.ncbi.ngs.TestyTheBear

=== debian/changelog ===
ngs-sdk (2.10.2-1) unstable; urgency=medium

  * Team upload.
  * Added Multi-Arch hints
  * Standards-Version: 4.5.0 (routine-update)
  * New upstream release (fixes a Python 3 bug)
  * remove markdown build-dep from the 'nodoc' build profile

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 17 Feb 2020 15:46:03 +0100

=== debian/control ===
Source: ngs-sdk
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Olivier Sallou <osallou@debian.org>,
           Vincent Danjean <vdanjean@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               d-shlibs,
               markdown <!nodoc>,
               python3-all,
               python3-distutils,
               dh-python,
               javahelper,
               maven-repo-helper,
               default-jdk
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/ngs-sdk
Vcs-Git: https://salsa.debian.org/med-team/ngs-sdk.git
Homepage: https://github.com/ncbi/ngs

Package: libngs-sdk2
Multi-Arch: same
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Next Generation Sequencing language Bindings
 NGS is a new, domain-specific API for accessing reads, alignments and
 pileups produced from Next Generation Sequencing. The API itself is
 independent from any particular back-end implementation, and supports
 use of multiple back-ends simultaneously. It also provides a library for
 building new back-end "engines". The engine for accessing SRA data is
 contained within the sister repository ncbi-vdb.
 .
 The API is currently expressed in C++, Java and Python languages. The
 design makes it possible to maintain a high degree of similarity between
 the code in one language and code in another - especially between C++
 and Java.

Package: libngs-sdk-dev
Multi-Arch: same
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libngs-sdk2 (= ${binary:Version})
Description: Next Generation Sequencing language Bindings (development)
 NGS is a new, domain-specific API for accessing reads, alignments and
 pileups produced from Next Generation Sequencing. The API itself is
 independent from any particular back-end implementation, and supports
 use of multiple back-ends simultaneously. It also provides a library for
 building new back-end "engines". The engine for accessing SRA data is
 contained within the sister repository ncbi-vdb.
 .
 The API is currently expressed in C++, Java and Python languages. The
 design makes it possible to maintain a high degree of similarity between
 the code in one language and code in another - especially between C++
 and Java.
 .
 This is the development package.

Package: libngs-java
Multi-Arch: same
Architecture: any
Section: java
Depends: ${misc:Depends},
         ${java:Depends},
         libngs-sdk-dev (= ${binary:Version})
Recommends: ${java:Recommends}
Description: Next Generation Sequencing language Bindings (Java bindings)
 NGS is a new, domain-specific API for accessing reads, alignments and
 pileups produced from Next Generation Sequencing. The API itself is
 independent from any particular back-end implementation, and supports
 use of multiple back-ends simultaneously. It also provides a library for
 building new back-end "engines". The engine for accessing SRA data is
 contained within the sister repository ncbi-vdb.
 .
 The API is currently expressed in C++, Java and Python languages. The
 design makes it possible to maintain a high degree of similarity between
 the code in one language and code in another - especially between C++
 and Java.
 .
 Java bindings.

Package: python3-ngs
Architecture: any
Section: python
Depends: ${python3:Depends},
         ${misc:Depends},
         libngs-sdk-dev (= ${binary:Version})
Description: Next Generation Sequencing language Bindings (Python3 bindings)
 NGS is a new, domain-specific API for accessing reads, alignments and
 pileups produced from Next Generation Sequencing. The API itself is
 independent from any particular back-end implementation, and supports
 use of multiple back-ends simultaneously. It also provides a library for
 building new back-end "engines". The engine for accessing SRA data is
 contained within the sister repository ncbi-vdb.
 .
 The API is currently expressed in C++, Java and Python languages. The
 design makes it possible to maintain a high degree of similarity between
 the code in one language and code in another - especially between C++
 and Java.
 .
 Python3 bindings.

## ngs-sdk 2.10.5

=== debian/changelog ===
ngs-sdk (2.10.5-1) unstable; urgency=medium

  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2020 08:07:05 +0200

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
 Vcs-Browser: https://salsa.debian.org/med-team/ngs-sdk
 Vcs-Git: https://salsa.debian.org/med-team/ngs-sdk.git
 Homepage: https://github.com/ncbi/ngs
+Rules-Requires-Root: no
 
 Package: libngs-sdk2
 Multi-Arch: same

## ngs-sdk 2.10.9

=== ngs-java/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

# default response to "make"
default: std

std: subtargs

# the sub-targets
SUBTARGS =  \
	java

# standard rules and phony targets
include $(CURDIR)/Makefile.rules

# rules for making java code
# Java is given special rules because javac defies makefiles
java: Makefile.config
	@ $(MAKE) -f Makefile.java

java_cln: Makefile.config
	@ $(MAKE) -f Makefile.java clean

java_inst: Makefile.config
	@ echo "Checking make status of jars..."
	@ $(MAKE) -s --no-print-directory -f Makefile.java
	@ $(MAKE) -s --no-print-directory -f Makefile.java install

=== ngs-sdk/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

# default response to "make"
default: std

std: subtargs

# the sub-targets
SUBDIRS =    \
	language \
	dispatch \
	adapter  \

SUBTARGS =     \
	$(SUBDIRS) \
	sdk-libs   \

include $(CURDIR)/Makefile.rules

sdk-libs: $(SUBDIRS) Makefile.config
	@ $(MAKE) -f Makefile.libs

sdk-libs_cln: Makefile.config
	@ $(MAKE) -f Makefile.libs clean

sdk-libs_inst: Makefile.config 
	@ echo "Checking make status of object libraries..."
	@ $(MAKE) -s --no-print-directory sdk-libs
	@ $(MAKE) -s --no-print-directory -f Makefile.install install

=== ngs-java/examples/Makefile ===
--- 
+++ 
@@ -67,7 +67,7 @@
 JAVAFLAGS += -Djava.library.path=$(LD_LIBRARY_PATH) -Dvdb.System.loadLibrary=1
 
 # uncomment to see detailed log"
-JAVAFLAGS += -Dvdb.log=FINEST
+#JAVAFLAGS += -Dvdb.log=FINEST
 
 run_frag: NGS-JavaTest.jar
 	java $(JAVAFLAGS) examples.FragTest ERR225922 10000 2  $(REDIRECT)
@@ -105,7 +105,7 @@
 	rm -f expected.txt; LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) $(MAKE) run_all REDIRECT=">>expected.txt"
 
 run_and_diff: expected.txt  
-	rm -f actual.txt; LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) $(MAKE) run_all REDIRECT=">>actual.txt"
-	diff expected.txt actual.txt && rm actual.txt && echo NGS Java examples work as expected
+	@ rm -f actual.txt; LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) $(MAKE) run_all REDIRECT=">>actual.txt"
+	@ diff expected.txt actual.txt && rm actual.txt && echo NGS Java examples work as expected
 
 .PHONY: update_expected run_and_diff

=== ngs-python/examples/Makefile ===
--- 
+++ 
@@ -83,14 +83,14 @@
 # expected results for auto-testing
 #
 expected.txt update_expected:
-	if [ "$(PYTHON_VERS)" = "26" ] ; then \
+	@if [ "$(PYTHON_VERS)" = "26" ] ; then \
 		echo Python 2.6 is not supported ; \
 	else \
 		rm -f expected.txt; LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) $(MAKE) run_all REDIRECT=">>expected.txt" ; \
 	fi
 
 run_and_diff: expected.txt
-	if [ "$(PYTHON_VERS)" = "26" ] ; then \
+	@if [ "$(PYTHON_VERS)" = "26" ] ; then \
 		echo Python 2.6 is not supported ; \
 	else \
 		rm -f actual.txt; LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) $(MAKE) run_all REDIRECT=">>actual.txt" ; \

=== ngs-sdk/examples/Makefile ===
--- 
+++ 
@@ -179,9 +179,9 @@
 	export LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) ; $(MAKE) run_all REDIRECT=">>expected.txt"
 
 run_and_diff: expected.txt
-	rm -f actual.txt
-	echo $(http_proxy)
-	export LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) ; $(MAKE) run_all REDIRECT=">>actual.txt"
+	@ rm -f actual.txt
+	@ echo http_proxy=$(http_proxy)
+	@ export LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) ; $(MAKE) run_all REDIRECT=">>actual.txt"
 	@ diff expected.txt actual.txt && rm actual.txt && echo "NGS C++ examples work as expected"
 
 .PHONY: update_expected run_and_diff install

=== ngs-sdk/language/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================


default: subdirs

TOP ?= $(abspath ..)
export TOP

SUBDIRS =  \
	c++    \
	java   \
	python

SUBDIRS_CLN = \
	$(addsuffix _cln,$(SUBDIRS))

subdirs: $(SUBDIRS)

install: $(SUBDIRS_INST)

clean: $(SUBDIRS_CLN)

$(SUBDIRS):
	@ $(MAKE) -C $@

$(SUBDIRS_CLN):
	@ $(MAKE) -s -C $(subst _cln,,$@) clean

.PHONY: subdirs $(SUBDIRS) $(SUBDIRS_CLN)

=== ngs-sdk/language/c++/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================


default: std

TOP ?= $(abspath ../..)
include $(TOP)/Makefile.config

INTLIBS = \
	ngs-bind-c++

EXTLIBS = \

TARGETS =      \
	$(INTLIBS) \
	$(EXTLIBS)

all std: $(TARGETS)

clean:
	rm -rf $(OBJDIR)
	rm -f $(addprefix $(ILIBDIR)/$(LPFX),$(addsuffix *,$(INTLIBS)))
	rm -f $(addprefix $(LIBDIR)/$(LPFX),$(addsuffix *,$(EXTLIBS)))

.PHONY: default all std clean $(TARGETS)

#-------------------------------------------------------------------------------
# ngs-bind-c++
#
ngs-bind-c++: $(ILIBDIR) $(OBJDIR) $(ILIBDIR)/$(LPFX)ngs-bind-c++.$(LIBX)

BIND_SRC =              \
	ReadCollection      \
	ReferenceSequence   \
	ReferenceIterator   \
	Reference           \
	PileupIterator      \
	Pileup              \
	PileupEventIterator \
	PileupEvent         \
	AlignmentIterator   \
	Alignment           \
	ReadGroupIterator   \
	ReadGroup           \
	ReadIterator        \
	Read                \
	FragmentIterator    \
	Fragment            \
	Statistics          \
	StringRef

BIND_OBJ = \
	$(addprefix $(OBJDIR)/,$(addsuffix .$(LOBX),$(BIND_SRC)))

$(ILIBDIR)/$(LPFX)ngs-bind-c++.$(LIBX): $(BIND_OBJ)
	$(AR) $@ $^

=== ngs-sdk/language/python/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

default: std

TOP ?= $(abspath ../..)
include $(TOP)/Makefile.config

INT_LIBS = \
	ngs-bind-python

EXT_LIBS = \

TARGETS =       \
	$(INT_LIBS) \
	$(EXT_LIBS)

all std: $(TARGETS)

clean:
	rm -rf $(ILIBDIR)/$(LPFX)ngs-bind-python* $(OBJDIR)

.PHONY: default all std $(TARGETS)

#-------------------------------------------------------------------------------
# ngs-bind-python
#
ngs-bind-python: $(ILIBDIR) $(OBJDIR) $(ILIBDIR)/$(LPFX)ngs-bind-python.$(LIBX)

BIND_SRC =                  \
	AlignmentItf            \
	AlignmentIteratorItf    \
	FragmentItf             \
	FragmentIteratorItf     \
	PackageItf				\
	PileupEventItf          \
	PileupEventIteratorItf  \
	PileupItf               \
	PileupIteratorItf       \
	ReadCollectionItf       \
	ReadGroupItf            \
	ReadGroupIteratorItf    \
	ReadItf                 \
	ReadIteratorItf         \
	ReferenceItf            \
	ReferenceIteratorItf    \
	ReferenceSequenceItf	\
	StatisticsItf           \
	Refcount                \
	StringItf


BIND_OBJ = \
	$(addprefix $(OBJDIR)/,$(addsuffix .$(LOBX),$(addprefix py_,$(BIND_SRC))))

$(ILIBDIR)/$(LPFX)ngs-bind-python.$(LIBX): $(BIND_OBJ)
	$(AR) $@ $^

=== ngs-sdk/test/test_engine/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================


default: std

TOP ?= $(abspath ../..)
include $(TOP)/Makefile.config

TARGETS =      \
    test_engine

all std: $(TARGETS)

clean:
	rm -rf $(LIBDIR)/$(LPFX)test_engine* $(OBJDIR)

.PHONY: default all std $(TARGETS)

test_engine: $(LIBDIR) $(OBJDIR) $(LIBDIR)/$(LPFX)test_engine.$(SHLX)

runtests: test_engine

#-------------------------------------------------------------------------------
# test-ngs
#
TEST_ENGINE_SRC = \
    test_engine

TEST_ENGINE_OBJ = \
	$(addprefix $(OBJDIR)/,$(addsuffix .$(LOBX),$(TEST_ENGINE_SRC)))

TEST_ENGINE_LIB = \
    -lngs-adapt-c++ \
	-lngs-bind-c++ \
	-lngs-disp

$(LIBDIR)/$(LPFX)test_engine.$(SHLX): $(LIBDIR)/$(LPFX)ngs-adapt-c++.$(LIBX) $(TEST_ENGINE_OBJ) 
	$(LP) $(DBG) $(OPT) --shared -o $@ $(TEST_ENGINE_OBJ) -L$(LIBDIR) -L$(ILIBDIR) $(TEST_ENGINE_LIB)

$(LIBDIR)/$(LPFX)ngs-adapt-c++.$(LIBX):
	@ echo missing $@
	@ false

=== debian/changelog ===
ngs-sdk (2.10.9-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jan 2021 18:52:56 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Vincent Danjean <vdanjean@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                d-shlibs,
                markdown <!nodoc>,
                python3-all,
@@ -14,7 +14,7 @@
                javahelper,
                maven-repo-helper,
                default-jdk
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/ngs-sdk
 Vcs-Git: https://salsa.debian.org/med-team/ngs-sdk.git
 Homepage: https://github.com/ncbi/ngs

=== debian/watch ===
version=4

https://github.com/ncbi/ngs/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
